import { FormControl, AsyncValidatorFn, ValidatorFn } from '@angular/forms';
import { Subject } from 'rxjs';
export declare class SdFormControl extends FormControl {
    sdChanges: Subject<boolean>;
    untouchChanges: Subject<boolean>;
    touchChanges: Subject<boolean>;
    pristineChanges: Subject<boolean>;
    constructor(formState?: Object, validator?: ValidatorFn | ValidatorFn[], asyncValidator?: AsyncValidatorFn | AsyncValidatorFn[]);
    markAsUntouched({ onlySelf }?: {
        onlySelf?: boolean;
    }): void;
    markAsTouched({ onlySelf }?: {
        onlySelf?: boolean;
    }): void;
    markAsPristine(opts?: {
        onlySelf?: boolean;
    }): void;
}
